Summary: Library and utilities for automated guest OS installs
Name: oz
Version: 0.18.0
Release: 3%{?dist}
License: LGPLv2
Group: Development/Libraries
URL: http://github.com/clalancette/oz
Source0: http://github.com/clalancette/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch: noarch
Requires: python3
Requires: python3-libguestfs >= 1.18
Requires: python3-lxml
Requires: python3-libvirt
# in theory, oz doesn't really require libvirtd to be local to operate
# properly.  However, because of the libguestfs manipulations, in practice
# it really does.  Make it depend on libvirt (so we get libvirtd) for now,
# unless/until we are able to make it really be remote.
%if 0%{?fedora} >= 17
Requires: libvirt-daemon-kvm
Requires: libvirt-daemon-qemu
Requires: libvirt-daemon-config-network
%else
Requires: libvirt >= 0.9.7
%endif
Requires: python3-requests
Requires: genisoimage
Requires: mtools
%if 0%{?rhel} <= 7
Requires: python-uuid
%endif
Requires: openssh-clients
Requires: python3-m2crypto
Requires: python3-monotonic

BuildRequires: python3
BuildRequires: python-rpm-macros
BuildRequires: python3-rpm-macros

# Pending PRs
Patch105: 280.patch
Patch106: 296.patch

# Pending Issues
Patch201: 295_hotfix.patch

%description
Oz is a set of libraries and utilities for doing automated guest OS
installations, with minimal input from the user.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/isocontent/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/isos/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/floppycontent/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/floppies/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/icicletmp/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/jeos/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/kernels/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/screenshots/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/oz
cp oz.cfg $RPM_BUILD_ROOT%{_sysconfdir}/oz

%post
if [ ! -f %{_sysconfdir}/oz/id_rsa-icicle-gen ]; then
   ssh-keygen -t rsa -b 2048 -N "" -f %{_sysconfdir}/oz/id_rsa-icicle-gen >& /dev/null
fi

%files
%doc README COPYING examples
%dir %attr(0755, root, root) %{_sysconfdir}/oz/
%config(noreplace) %{_sysconfdir}/oz/oz.cfg
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/isocontent/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/isos/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/floppycontent/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/floppies/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/icicletmp/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/jeos/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/kernels/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/screenshots/
%{python3_sitelib}/oz
%{_bindir}/oz-install
%{_bindir}/oz-generate-icicle
%{_bindir}/oz-customize
%{_bindir}/oz-cleanup-cache
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_mandir}/man1/*

%changelog
* Mon Feb 07 2022 Ben Morrice <ben.morrice@cern.ch> - 0.18.0-1
- rebase to v0.18

* Wed Sep 30 2020 Alex Iribarren <Alex.Iribarren@cern.ch> - 0.17.0-2
- Build for CERN

* Sat Mar 16 2019 Chris Lalancette <clalancette@gmail.com> - 0.17.0-1
- Release 0.17.0

* Tue Aug 08 2017 Chris Lalancette <clalancette@gmail.com> - 0.16.0-1
- Release 0.16.0

* Sun Feb 28 2016 Chris Lalancette <clalancette@gmail.com> - 0.15.0-1
- Release 0.15.0

* Fri Jun 26 2015 Chris Lalancette <clalancette@gmail.com> - 0.14.0-1
- Release 0.14.0

* Sat Mar  7 2015 Chris Lalancette <clalancette@gmail.com> - 0.13.0-1
- Release 0.13.0

* Wed Jan  1 2014 Chris Lalancette <clalancette@gmail.com> - 0.12.0-1
- Release 0.12.0

* Sun Jul 28 2013 Chris Lalancette <clalancette@gmail.com> - 0.11.0-1
- Release 0.11.0

* Sat Mar 09 2013 Chris Lalancette <clalancette@gmail.com> - 0.10.0-1
- Release 0.10.0

* Tue Jul 17 2012 Chris Lalancette <clalancette@gmail.com> - 0.9.0-1
- Release 0.9.0

* Wed Jan 11 2012 Chris Lalancette <clalancette@gmail.com> - 0.8.0-1
- Release 0.8.0

* Mon Sep 12 2011 Chris Lalancette <clalance@redhat.com> - 0.7.0-1
- Release 0.7.0

* Wed Aug 17 2011 Chris Lalancette <clalance@redhat.com> - 0.6.0-1
- Release 0.6.0

* Wed Jun 29 2011 Chris Lalancette <clalance@redhat.com> - 0.5.0-1
- Release 0.5.0

* Mon Jun 20 2011 Pádraig Brady <P@draigBrady.com> - 0.4.0-4
- Include examples/.

* Wed Jun 15 2011 Pádraig Brady <P@draigBrady.com> - 0.4.0-3
- Address rpmlint issues.

* Fri Jun 10 2011 Pádraig Brady <P@draigBrady.com> - 0.4.0-2
- Change to noarch.

* Tue May 24 2011 Chris Lalancette <clalance@redhat.com> - 0.4.0-1
- Release 0.4.0.

* Wed Mar 30 2011 Chris Lalancette <clalance@redhat.com> - 0.3.0-1
- Release 0.3.0.

* Wed Mar 16 2011 Chris Lalancette <clalance@redhat.com> - 0.2.0-1
- Release 0.2.0.

* Thu Feb  3 2011 Chris Lalancette <clalance@redhat.com> - 0.1.0-1
- Initial public release of Oz.

* Wed Nov  3 2010 Chris Lalancette <clalance@redhat.com> - 0.0.4-1
- Initial build.
